package chess4j.search;

import java.util.List;

import chess4j.board.Board;
import chess4j.moves.Move;


public interface Search {

	public int search(List<Move> pv,int alpha,int beta,Board board,int depth,SearchStats stats);

	/*public class Locator {
		public static Search getInstance() {
			return new SearchImpl();
		}
	}*/

}
